Links

Create a tracked link

POST/api/links

Creates a tracked link with a name, destination URL, and slug, optionally assigned to a team.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Request body

NameTypeDescription
idstring | nullUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
slugrequiredstringURL slug used to access the resource.
teamIdstring | nullID of the associated team.
urlrequiredstringURL associated with the resource.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
deletedAtrequiredstringDate and time the record was deleted, if applicable.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
slugrequiredstringURL slug used to access the resource.
teamIdrequiredstringID of the associated team.
updatedAtrequiredstringDate and time the record was last updated.
urlrequiredstringURL associated with the resource.
userIdrequiredstringID of the associated user.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL